org.apache.olingo.odata2.api.edm.provider

## Class OnDelete

- java.lang.Object
- - org.apache.olingo.odata2.api.edm.provider.OnDelete

-     public class OnDelete
      extends Object

  Objects of this class represent an OnDelete Action

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OnDelete()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EdmAction` | `getAction()`
    `List<AnnotationAttribute>` | `getAnnotationAttributes()`
    `List<AnnotationElement>` | `getAnnotationElements()`
    `Documentation` | `getDocumentation()`
    `OnDelete` | `setAction(EdmAction action)` Sets the `EdmAction` for this `OnDelete`
    `OnDelete` | `setAnnotationAttributes(List<AnnotationAttribute> annotationAttributes)` Sets the List of `AnnotationAttribute` for this `OnDelete`
    `OnDelete` | `setAnnotationElements(List<AnnotationElement> annotationElements)` Sets the List of `AnnotationElement` for this `OnDelete`
    `OnDelete` | `setDocumentation(Documentation documentation)` Sets the `Documentation` for this `OnDelete`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OnDelete

          public OnDelete()

  - ### Method Detail

    - #### getAction

          public EdmAction getAction()

      Returns:
        `EdmAction` action

    - #### getDocumentation

          public Documentation getDocumentation()

      Returns:
        `Documentation` documentation

    - #### getAnnotationAttributes

          public List<AnnotationAttribute> getAnnotationAttributes()

      Returns:
        List of `AnnotationAttribute` annotation attributes

    - #### getAnnotationElements

          public List<AnnotationElement> getAnnotationElements()

      Returns:
        List of `AnnotationElement` annotation elements

    - #### setAction

          public OnDelete setAction(EdmAction action)

      Sets the `EdmAction` for this `OnDelete`
      Parameters:
        `action` -
      Returns:
        `OnDelete` for method chaining

    - #### setDocumentation

          public OnDelete setDocumentation(Documentation documentation)

      Sets the `Documentation` for this `OnDelete`
      Parameters:
        `documentation` -
      Returns:
        `OnDelete` for method chaining

    - #### setAnnotationAttributes

          public OnDelete setAnnotationAttributes(List<AnnotationAttribute> annotationAttributes)

      Sets the List of `AnnotationAttribute` for this `OnDelete`
      Parameters:
        `annotationAttributes` -
      Returns:
        `OnDelete` for method chaining

    - #### setAnnotationElements

          public OnDelete setAnnotationElements(List<AnnotationElement> annotationElements)

      Sets the List of `AnnotationElement` for this `OnDelete`
      Parameters:
        `annotationElements` -
      Returns:
        `OnDelete` for method chaining

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.